Index: sansview/perspectives/fitting/fitting.py
===================================================================
--- sansview/perspectives/fitting/fitting.py	(revision f3113c94e380e1b32d141e7d70509c39d30f3ca5)
+++ sansview/perspectives/fitting/fitting.py	(revision e9e914fa22ca12931ca2ad8e7079e8cbf11c74f3)
@@ -47,5 +47,5 @@
         self.standalone=True
         ## Fit engine
-        self._fit_engine = 'park'
+        self._fit_engine = 'scipy'
         self.enable_model2D=False
         # list of selcted data
@@ -76,5 +76,5 @@
         #Set park engine
         id3 = wx.NewId()
-        self.menu1.AppendCheckItem(id3, "scipy") 
+        self.menu1.AppendCheckItem(id3, "park") 
         wx.EVT_MENU(owner, id3, self._onset_engine)
         
@@ -360,10 +360,11 @@
                     model.setParam(name,result.pvec)
                 else:
-                    model.setParam(name,result.pvec[i])
-#                    print "fitting: single fit", name, result.pvec[i]
+                    print "fitting result : chisqr",result.fitness
+                    print "fitting result : pvec",result.pvec
+                    print "fitting result : stderr",result.stderr
+                    #model.setParam(name,result.pvec[i])
+#                   print "fitting: single fit", name, result.pvec[i]
                     i += 1
-            print "fitting result : chisqr",result.fitness
-            print "fitting result : pvec",result.pvec
-            print "fitting result : stderr",result.stderr
+           
            
             cpage.onsetValues(result.fitness, result.pvec,result.stderr)
@@ -373,7 +374,7 @@
                              xmin=xmin, xmax=xmax,title=None)
         except:
-            #raise
-            wx.PostEvent(self.parent, StatusEvent(status="Fitting error: %s" % sys.exc_value))
-            return
+            raise
+            #wx.PostEvent(self.parent, StatusEvent(status="Fitting error: %s" % sys.exc_value))
+            #return
        
     def _simul_fit_completed(self,result,qmin,qmax, elapsed,pars=None,cpage=None,
Index: sansview/perspectives/fitting/modelpage.py
===================================================================
--- sansview/perspectives/fitting/modelpage.py	(revision f3113c94e380e1b32d141e7d70509c39d30f3ca5)
+++ sansview/perspectives/fitting/modelpage.py	(revision e9e914fa22ca12931ca2ad8e7079e8cbf11c74f3)
@@ -540,15 +540,5 @@
         self.text2_3.Hide() 
         
-        ix +=1
-        self.text2_5 = wx.StaticText(self, -1, 'Min')
-        self.sizer5.Add(self.text2_5,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        ix +=1
-        self.text2_6 = wx.StaticText(self, -1, 'Max')
-        self.sizer5.Add(self.text2_6,(iy, ix),(1,1),\
-                            wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
-        if self.data ==None:
-            self.text2_5.Hide()
-            self.text2_6.Hide()
+       
         ix +=1
         self.text2_4 = wx.StaticText(self, -1, 'Units')
@@ -587,28 +577,5 @@
                 self.sizer5.Add(ctl2, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                 ctl2.Hide()
-                ix += 1
-                param_min= format_number(self.model.details[item][1])
-                ctl3 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER)
-                if float(param_min) ==0:
-                    ctl3.SetValue("-inf")
-                else:
-                    ctl3.SetValue(str (format_number(param_min)))
-                ctl3.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-                ctl3.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-                
-                self.sizer5.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                ix += 1
-                param_max= format_number(self.model.details[item][2])
-                ctl4 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER)
-                if float(param_max)==0:
-                    ctl4.SetValue("+inf")
-                else:
-                    ctl4.SetValue(str (format_number(param_max)))
-                ctl4.Bind(wx.EVT_KILL_FOCUS, self._onparamEnter)
-                ctl4.Bind(wx.EVT_TEXT_ENTER,self._onparamEnter)
-                self.sizer5.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-                if self.data==None:
-                    ctl4.Hide()
-                    ctl3.Hide()
+               
                 ix +=1
                 # Units
@@ -619,5 +586,5 @@
                 self.sizer5.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
            
-            self.parameters.append([cb,ctl1,text2,ctl2, ctl3, ctl4])
+            self.parameters.append([cb,ctl1,text2,ctl2])
                 
         iy+=1
@@ -1111,5 +1078,5 @@
                 for item in self.parameters:
                     item[0].SetValue(True)
-                    list= [item[0],item[1],item[2],item[3],item[4],item[5]]
+                    list= [item[0],item[1],item[2],item[3]]
                     self.param_toFit.append(list )
                 if len(self.fittable_param)>0:
